1 6 7 8 9 10 Previous Next 138 Replies Latest reply: Mar 25, 2013 10:39 PM by Hayah Go to original post
  • 120. Re: Logic Pro 8 is not supported under Lion?
    Pancenter Level 5 Level 5 (7,640 points)

    JdoubleU wrote:

     

    Thanks-

     

    Do you [or anyone] have a take on when L10 is to be released?

     

    JW


    No one really knows.. those that might know can't say lest they be hunted down and fed their own entrails.

     

    pancenter-

  • 121. Re: Logic Pro 8 is not supported under Lion?
    JdoubleU Level 1 Level 1 (0 points)

    Well- we would not want that!

    Thanks!

  • 122. Re: Logic Pro 8 is not supported under Lion?
    M2MediaDesigns Level 1 Level 1 (0 points)

    Opened up the file for me!

  • 123. Re: Logic Pro 8 is not supported under Lion?
    spiffville1 Level 1 Level 1 (0 points)

    I have a slightly different situation.  I had a Macbook Pro running Snow Leopard.  I had purchased Logic 8, and bought the upgrade to Logic 9.  When I had to rebuild my laptop back from scratch to Snow Leopard - I had to install the original Logic Pro 8, and then do the upgrade to 9 again.  I have since bought a new Macbook Pro that came preinstalled with Lion.  I can no longer install Logic Pro 8, so there is no path for me to put Logic Pro 9 - the version that I have legally purchased and works under Lion.  Is there another license key I can get to just install Logic Pro 9 from scratch?

  • 124. Re: Logic Pro 8 is not supported under Lion?
    spiffville1 Level 1 Level 1 (0 points)

    never mind - i figured it out.  it came up and asked me for the original serial # and i entered the Logic 8 SN and everything seems to be installing fine.

  • 125. Re: Logic Pro 8 is not supported under Lion?
    christian kuntner2 Level 1 Level 1 (95 points)

    Funny enough: LP 7.2.3 runs on lion without ANY problem ! Included all external plugins (Waves, Izotope, Flux, Fabfilter, BX, and so on...

    I'm using it due to some compatibility issues and other people still using LP7.

     

    Christian

  • 126. Re: Logic Pro 8 is not supported under Lion?
    Pancenter Level 5 Level 5 (7,640 points)

    christian kuntner2 wrote:

     

    Funny enough: LP 7.2.3 runs on lion without ANY problem ! Included all external plugins (Waves, Izotope, Flux, Fabfilter, BX, and so on...

    I'm using it due to some compatibility issues and other people still using LP7.

     

    Christian

     

    But it won't install under Lion, correct?

     

    You installed Lion over the top  of SL.

  • 127. Re: Logic Pro 8 is not supported under Lion?
    christian kuntner2 Level 1 Level 1 (95 points)

    No, i did a clean install on a testdrive (one of four ;-) on my 2008 macPro 8 core. Then drag and drop LP 7.2.3 from SL-disk, connect xsKey, et voilà: everything working. Then I installed LP9, with xsKey inserted, put in LP9 serial, everything perfect. Regarding LP8 i don't know, I'm not using it anymore.

    Still not to much shure about Lion (and about Apples's startegy all in all...), sytem is getting too much prebuilt as far as I can see, but working with LP 9 and a lot of 3rd party plugins for the last 2 weeks without any problem.

    The only issue concerning Lion : Firewire is causing sometimes little problems. I suspect the startup-routine of Lion is a bit different. Sometimes external HDD's are not recognized, sometimes my MOTU 896 is recognized to early and playing that high, unpleasant sound. Switching of and on again resolves the problem.

    Best, Chrisrtian.

  • 128. Re: Logic Pro 8 is not supported under Lion?
    Pancenter Level 5 Level 5 (7,640 points)

    Ok, that will work because it's a drag 'n' drop, if you tried to -install- either 7 and/or 8 in Lion it's a no go because the install routines both call on Rosetta during the install.

  • 129. Re: Logic Pro 8 is not supported under Lion?
    dj chill Level 1 Level 1 (0 points)

    well think we need to say something to apple because they should tell you when a new operating system is out what it support or not so we can make an inform decision on what we do. i just bought a new macbook pro to start working on the go and home and i still have my logic pro 8 and thought i could use it but no way. the worst thing i got rid of my G5 and now i have a expensive software that i cant use. it should not matter if you bought the software 2 years ago the should offer upgrade to run it on the new op systems. we all don't have the money of the multi-millionaire producers to upgrade or buy a new program twice a year. so the young people i was going to work with will now have to continue using reason on their pc

  • 130. Re: Logic Pro 8 is not supported under Lion?
    dj chill Level 1 Level 1 (0 points)

    JULY 19

  • 131. Re: Logic Pro 8 is not supported under Lion?
    Blueberry Level 4 Level 4 (2,860 points)

    Yes, Apple did announce that the several year old PowerPC code will no longer supported with Lion. Logic Pro 8 is so old, that it still had some PowerPC code in the installer (even Logic Pro 9 was released 2 years before Lion). If you can get around the installer, it will even work - not supported, not updated, but seem to work.

     

    And really, you have to be a multi-millionare to afford $199 for the lastest version of Logic Pro? The Windows 7 Upgrade you would have bought in the meantime for your cheap PC, is more expensive than Logic Pro 9 and Lion...

  • 132. Re: Logic Pro 8 is not supported under Lion?
    brendanALW Level 1 Level 1 (0 points)

    IT WORKS!!!

     

    I found a way to get Logic Pro 8 to work on Mountain Lion (and presumably lion as well)

     

    First you should know: Logic Pro 8 is a Power PC application, not an intel application. When apple changed from Power PC to Intel they included a piece of software called "Rosetta" into both Tiger and Leopard. For snow leopard rosetta was an added feature which installed when you opened a Power PC application or could be installed separately. Rosetta allowed Power PC applications to run on Intel based macs. Lion and mountain lion do not come with Rosetta... but this doesnt mean you cant install it.

     

    If you insert the Snow Leopard install CD and under "optional extras" install Rosetta. This will allow you to install Logic Studio 8 on your Intel Based Mac and it should work.

  • 133. Re: Logic Pro 8 is not supported under Lion?
    Hayah Level 1 Level 1 (0 points)

    So are you saying that you've actually installed LP8 on your Mountain Lion device or Lion device? I just wanted to verify before I use this method. If your answer is "yes and I've had no problems" then I will happily sing your praises. I've been waiting for more than a year to read a solution like this.

  • 134. Re: Logic Pro 8 is not supported under Lion?
    Hayah Level 1 Level 1 (0 points)

    Robert, have you tried it with Mountain Lion yet? Or are you waiting before upgrading to Mountain Lion? Unfortunately, it's pretty difficult to get my hands on a copy of Lion these days. But not impossible. LOL!

1 6 7 8 9 10 Previous Next